Mailinglist Archive: opensuse-factory (401 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20190322 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20190322

Please do not reply to this email to report issues, rather file a bug
on bugzilla.opensuse.org. For more information on filing bugs please
see https://en.opensuse.org/openSUSE:Submitting_bug_reports

Packages changed:
ModemManager
NetworkManager (1.14.6 -> 1.16.0)
PackageKit
accountsservice
arabic-fonts
avahi
chrony
device-mapper
geronimo-specs
glib2 (2.58.3 -> 2.60.0)
gnome-control-center
gtksourceview (3.24.9 -> 3.24.10)
gtksourceview4 (4.0.3 -> 4.2.0)
harfbuzz (1.9.0 -> 2.3.1)
health-checker (1.2.1 -> 1.2.2)
jasper
kdump
libimagequant (2.11.3 -> 2.12.2)
libqt5-qttranslations (5.12.0 -> 5.12.2)
libqt5-qtvirtualkeyboard (5.12.0 -> 5.12.2)
llvm7
lvm2
mercurial (4.9 -> 4.9.1)
newt
ovmf
perl-Cpanel-JSON-XS (4.09 -> 4.10)
perl-LWP-MediaTypes (6.02 -> 6.04)
python-numpy (1.16.1 -> 1.16.2)
python-pycares (3.0.0b5 -> 3.0.0)
python-scipy (1.2.0 -> 1.2.1)
qqc2-desktop-style (5.55.0 -> 5.56.0)
rubygem-puma (3.12.0 -> 3.12.1)
squashfs
suitesparse
syndication (5.55.0 -> 5.56.0)
udisks2 (2.8.1 -> 2.8.2)
virtualbox
wayland (1.16.0 -> 1.17.0)
wondershaper

=== Details ===

==== ModemManager ====
Subpackages: ModemManager-bash-completion ModemManager-lang libmm-glib0

- Reduce %systemd_requires to %systemd_ordering:
%service_* can handle its absence.
- Rewrite summaries not to rely on em dash grammar.
- Do build without requiring bash-completion.

==== NetworkManager ====
Version update (1.14.6 -> 1.16.0)
Subpackages: NetworkManager-lang libnm0 typelib-1_0-NM-1_0

- Update to version 1.16.0:
+ Check connectivity per address family.
+ Support "main.systemd-resolved" to let NetworkManager configure
DNS settings in systemd-resolved without making it the main DNS
plugin of NetworkManager.
+ Write "/var/run/NetworkManager/no-stub-resolv.conf" with
original nameservers. That is useful with caching DNS plugins
like "systemd-resolved" or "dnsmasq" where
"/var/run/NetworkManager/resolv.conf" refers to localhost.
+ Change default "ipv4.dhcp-client-id" setting for the internal
DHCP plugin from "duid" to "mac". This is a change in behavior
on upgrade when using the internal DHCP plugin (unless the
default is overwritten in "NetworkManager.conf" or specified
per connection profile).
+ Improve handling of DHCP router options with internal DHCP
plugin. For one, accept multiple routers and add a
default-route to each. On D-Bus expose the original DNS and
NTP servers without cleaning up local nameservers.
+ Allow binding a connections lifetime to the DBus client that
activated it.
+ Add support for establishing Wi-Fi Direct connections (Wi-Fi
P2P).
+ Add support for WireGuard VPN tunnels to NetworkManager. D-Bus
API and libnm support all options. nmcli supports creating and
managing WireGuard profiles, with the exception of configuring
and showing peers.
+ Add initrd generator to be used by dracut and use it as new way
of handling iBFT.
+ Deprecated "plugins.monitor-connection-files" setting in
NetworkManager.conf. This option will have no effect in future
versions.
+ Add AP and Ad-hoc support for iwd Wi-Fi backend.
+ Warn about invalid settings in "NetworkManager.conf".
+ Support announcing "ANDROID_METERED" DHCP option for shared
mode.
+ Support SAE authentication as used for 802.11s Meshing and
WPA3-Personal.
+ NetworkManager is no longer installed as D-Bus activatable
service.
+ Mark docker bridges as unmanaged via udev rule.
+ Add new PolicyKit permission
"org.freedesktop.NetworkManager.wifi.scan" for controlling
Wi-Fi scanning.
- Rebase systemd-network-config.patch and
nm-dont-overwrite-resolv-conf.patch.
- Drop NetworkManager-1.12.2-docker-unmanaged.patch and
NM-add-wifi-scan-polkit-rule.patch: Fixed upstream.
- Do away with em dashes in summaries.
- Combine %service_* calls to reduce generated boilerplate.

==== PackageKit ====
Subpackages: PackageKit-backend-zypp PackageKit-gstreamer-plugin
PackageKit-gtk3-module PackageKit-lang libpackagekit-glib2-18
typelib-1_0-PackageKitGlib-1_0

- Limit fdupes to the btrfs subvolume.
- Combine %service_* calls to reduce generated boilerplate.
- Redo summaries without em dashes.
- Reduce %systemd_requires to %systemd_ordering; %service_*
can deal with the absence of it.

==== accountsservice ====
Subpackages: accountsservice-lang libaccountsservice0
typelib-1_0-AccountsService-1_0

- Redo summaries without em dashes.
- Reduce %systemd_requires to %systemd_ordering:
%service_* can handle the absence.

==== arabic-fonts ====
Subpackages: arabic-ae-fonts arabic-bitmap-fonts arabic-kacst-fonts
arabic-kacstone-fonts arabic-naqsh-fonts

- Modernize $RPM_* shell vars and shell logic to generate BDFs.

==== avahi ====
Subpackages: avahi-lang libavahi-client3 libavahi-client3-32bit
libavahi-common3 libavahi-common3-32bit libavahi-core7 libdns_sd

- Remove %if..%endif guards that do not affect the build result.
- Write "D-BUS" per its own name, "D-Bus".
- Replace FIXME PreReq with proper requires as needed.
- Update boilerplate summaries, and remove em dash grammar.

==== chrony ====

- Fix ordering and dependencies of chronyd.service, so that it is
started after name resolution is up (bsc#1129914).
- Add chrony-service-ordering.patch
- Fix location of helper script in chrony-dnssrv@.service
(bsc#1128846).

==== device-mapper ====
Subpackages: libdevmapper-event1_03 libdevmapper1_03 libdevmapper1_03-32bit

- Use %make_build in order to provide verbose output.

==== geronimo-specs ====
Subpackages: geronimo-jms-1_1-api geronimo-specs-pom

- Let each package obsolete and conflict with the
%%{name}-poms < %%{version}-%%{release} in order to make upgrades
smooth

==== glib2 ====
Version update (2.58.3 -> 2.60.0)
Subpackages: glib2-lang glib2-tools libgio-2_0-0 libgio-2_0-0-32bit
libglib-2_0-0 libglib-2_0-0-32bit libgmodule-2_0-0 libgmodule-2_0-0-32bit
libgobject-2_0-0 libgobject-2_0-0-32bit libgthread-2_0-0 libgthread-2_0-0-32bit

- Add patch submitted upstream to handle an UNKNOWN NM connectivity
the same as a NONE value. This partly fixes boo#1103678
(packagekit reports the network as available on a computer
without network connectivity which makes plasma-pk-update start
an update check which obviously fails).
* 0001-Handle-an-UNKNOWN-NetworkManager-connectivity-as-NONE.patch
- Update to version 2.60.0:
+ Further fixes to the Happy Eyeballs (RFC 8305) implementation.
+ Add support for the XDG trash portal.
+ Bugs fixed: glgo#GNOME/GLib#1653, glgo#GNOME/GLib#1658,
glgo#GNOME/GLib#1668, glgo#GNOME/GLib#1675,
glgo#GNOME/GLib#1676, glgo#GNOME/GLib#1679,
glgo#GNOME/GLib#1693, glgo#GNOME/GLib#1697,
glgo#GNOME/GLib#1698, glgo#GNOME/GLib!276, glgo#GNOME/GLib!639,
glgo#GNOME/GLib!666, glgo#GNOME/GLib!674, glgo#GNOME/GLib!676,
glgo#GNOME/GLib!677, glgo#GNOME/GLib!686, glgo#GNOME/GLib!688,
glgo#GNOME/GLib!689, glgo#GNOME/GLib!691, glgo#GNOME/GLib!692,
glgo#GNOME/GLib!696, glgo#GNOME/GLib!698, glgo#GNOME/GLib!699,
glgo#GNOME/GLib!702, glgo#GNOME/GLib!703.
+ Updated translations.
- Update to version 2.59.2:
+ Fix check on GDBusMessage size when reading it.
+ Add async GIO API: g_file_query_default_handler_async(),
g_app_info_launch_uris_async().
+ Fix some bugs in the Happy Eyeballs implementation.
+ Install a new generated header with enum types for Unicode
enums.
+ Support the XDG trash portal.
+ Bugs fixed: glgo#GNOME/GLib#1224, glgo#GNOME/GLib#1249,
glgo#GNOME/GLib#1347, glgo#GNOME/GLib#1376,
glgo#GNOME/GLib#1642, glgo#GNOME/GLib#1646,
glgo#GNOME/GLib#1649, glgo#GNOME/GLib#1673,
glgo#GNOME/GLib!276, glgo#GNOME/GLib!481, glgo#GNOME/GLib!585,
glgo#GNOME/GLib!593, glgo#GNOME/GLib!609, glgo#GNOME/GLib!619,
glgo#GNOME/GLib!622, glgo#GNOME/GLib!626, glgo#GNOME/GLib!627,
glgo#GNOME/GLib!629, glgo#GNOME/GLib!630.
+ Updated translations.

==== gnome-control-center ====
Subpackages: gnome-control-center-color gnome-control-center-goa
gnome-control-center-lang gnome-control-center-user-faces

- Add gnome-control-center-fix-crash-retrive-disksize.patch: info:
Fix crashes when retrieving disk size. Patch from upstream stable
branch, to be dropped when switching to 3.32 branch as the issue
is fixed in a different way there.

==== gtksourceview ====
Version update (3.24.9 -> 3.24.10)
Subpackages: gtksourceview-lang libgtksourceview-3_0-1 typelib-1_0-GtkSource-3_0

- Update to version 3.24.10:
+ New syntax highlighting definition file for: Powershell.
+ Improvements to the syntax highlighting of: reStructuredText,
C++, CSS, HTML, Groovy, Meson, Python3, and Logtalk.
+ Fix testsuite for changes in GLib hashtable ordering.
+ Avoid double entry of languages based on globs.
+ MSVC build improvements.
+ Fix usage of GRegex for offset in text, which fixes a Valgrind
warning.
+ Ensure CSS is inherted from parent style schemes.
+ Avoid storing GtkTextIter across main-loop boundaries.
+ Fix incorrect transfer annoation for
gtk_source_buffer_create_source_mark().
+ Various memory leak fixes.
+ Updated translations.

==== gtksourceview4 ====
Version update (4.0.3 -> 4.2.0)
Subpackages: gtksourceview4-lang libgtksourceview-4-0 typelib-1_0-GtkSource-4

- Update to version 4.2.0:
+ New syntax highlighting definition file for: Fish, GDScript,
Solidity, Dart, and Powershell.
+ Improvements to the syntax highlighting of: reStructuredText,
C++, GAP, CSS, HTML, JavaScript, Groovy, Meson, Python3, and
Logtalk.
+ Fix testsuite for changes in GLib hashtable ordering.
+ Avoid double entry of languages based on globs.
+ MSVC build improvements.
+ Fix usage of GRegex for offset in text, which fixes a Valgrind
warning.
+ Ensure CSS is inherted from parent style schemes.
+ Avoid storing GtkTextIter across main-loop boundaries.
+ Fix incorrect transfer annoation for
gtk_source_buffer_create_source_mark().
+ Various memory leak fixes.
+ Updated translations.

==== harfbuzz ====
Version update (1.9.0 -> 2.3.1)
Subpackages: libharfbuzz-icu0 libharfbuzz0 libharfbuzz0-32bit

- Update to 2.3.1:
* too many changes to ever iterate, see NEWS for the details

==== health-checker ====
Version update (1.2.1 -> 1.2.2)
Subpackages: health-checker-plugins-MicroOS

- Update to version 1.2.2
* Fix product namings

==== jasper ====

- bsc#1117505 CVE-2018-19542:
* Add jasper-CVE-2018-19542.patch

==== kdump ====

- Use %license instead of %doc (bsc#1082318, bsc#1129947).
- kdump-fix-multipath-user_friendly_names.patch: Fix multipath
configuration with user_friendly_names and/or aliases
(bsc#1111207, LTC#171953, bsc#1125218, LTC#175465).
- kdump-recover-from-missing-CRASHTIME.patch: Recover from missing
CRASHTIME= in VMCOREINFO (bsc#1112387).
- kdump-fallback-re-register-fadump-from-userspace.patch:
Re-register FADUMP from userspace if the kernel cannot do it
(bsc#1108170, LTC#171288, bsc#1094016, LTC#168050)
- kdump-Restore-only-static-routes-in-kdump-initrd.patch: Restore
only static routes in kdump initrd (bsc#1093795).
- kdump-on-error-option-yesno.patch: Support yes/no style for
KDUMP_CONTINUE_ON_ERROR (bsc#1083155).
- kdump-use-pbl.patch: Replace obsolete perl-Bootloader library
with a simpler script (bsc#1050349).
- Ensure added kdump-early.service is enabled properly after update
(bsc#1021484).

==== libimagequant ====
Version update (2.11.3 -> 2.12.2)

- update to version 2.12.2
* new liq_histogram_add_fixed_color()
* faster for large/complex images

==== libqt5-qttranslations ====
Version update (5.12.0 -> 5.12.2)

- Update to 5.12.2:
* New bugfix release
* For more details please see:
*
http://code.qt.io/cgit/qt/qttranslations.git/plain/dist/changes-5.12.2/?h=5.12.2
- Update to 5.12.1:
* New bugfix release
* For more details please see:
*
http://code.qt.io/cgit/qt/qttranslations.git/plain/dist/changes-5.12.1/?h=v5.12.1

==== libqt5-qtvirtualkeyboard ====
Version update (5.12.0 -> 5.12.2)
Subpackages: libQt5HunspellInputMethod5 libQt5VirtualKeyboard5
libqt5-qtvirtualkeyboard-hunspell

- Update to 5.12.2:
* New bugfix release
* For more details please see:
*
http://code.qt.io/cgit/qt/qtvirtualkeyboard.git/plain/dist/changes-5.12.2/?h=5.12.2
- Update to 5.12.1:
* New bugfix release
* For more details please see:
*
http://code.qt.io/cgit/qt/qtvirtualkeyboard.git/plain/dist/changes-5.12.1/?h=v5.12.1

==== llvm7 ====
Subpackages: clang7 libLLVM7 libLTO7 libc++-devel libc++1 libc++abi-devel
libc++abi1 libclang7 libomp7-devel

- enable C++ on ARM
Needed for tensorflow

==== lvm2 ====
Subpackages: liblvm2app2_2 liblvm2cmd2_02

- Use %make_build in order to provide verbose output.

==== mercurial ====
Version update (4.9 -> 4.9.1)
Subpackages: mercurial-lang

- Mercurial 4.9.1
A regularly scheduled bugfix release, late due to vacations and similar
disruptions at the regular time.
* commands
+ record: prevent commits that don't pick up dirty subrepo
changes (issue6102)
* extensions
+ rebase: add missing dashes in help text
* unsorted
+ subrepo: avoid false unsafe path detection on Windows
+ test-https: add some more known failure messages of client
certs (issue6030)

==== newt ====

- use new license string compatible with latest spdx.org changes
- ran spec-cleaner
- adjust spec file to be able to build for SLE-12 and below:
+ re-add BuildRoot definition
+ re-add defattr definitions
+ define python2_sitearch if the macro is not defined
- added newt-0.52.20-implicit-pointer-decl.patch to get rid of
compiler warnings about implicit definitions of functions

==== ovmf ====
Subpackages: qemu-ovmf-x86_64

- Enable debug for aarch32
- Add aavmf-aarch32-code.bin and aavmf-aarch32-vars.bin files

==== perl-Cpanel-JSON-XS ====
Version update (4.09 -> 4.10)

- updated to 4.10
see /usr/share/doc/packages/perl-Cpanel-JSON-XS/Changes
4.10 2019-03-18 (rurban)
- Fix incr_text refcounts (#123)
- Add incr_rest testcase (#123)
- Fix encode_stringify string-overload refcnt problem (#124)
"Attempt to free unreferenced scalar" with convert_blessed and overload.

==== perl-LWP-MediaTypes ====
Version update (6.02 -> 6.04)

- updated to 6.04
see /usr/share/doc/packages/perl-LWP-MediaTypes/Changes

==== python-numpy ====
Version update (1.16.1 -> 1.16.2)
Subpackages: python2-numpy python3-numpy

- Update to 1.16.2:
- Primarily focused on fixing on Windows-related bugs
- regression fix correcting signed zeros produced by divmod

==== python-pycares ====
Version update (3.0.0b5 -> 3.0.0)

- update to 3.0.0
* first stable version in 3.0 series

==== python-scipy ====
Version update (1.2.0 -> 1.2.1)

- Update to 1.2.1
* SyntaxError: Non-ASCII character 'xe2' in file
scipy/stats/_continuous_distns.py on line 3346, but no encoding declared
* Version 1.2.0 introduces `too many indices for array` error in
`optimize.newton()`
* scipy.stats.gaussian_kde normalizes the weights keyword argument externally.
* scipy.linalg.qr_update gives NaN result
* CI: Is scipy.scipy Windows Python36-32bit-full working?

==== qqc2-desktop-style ====
Version update (5.55.0 -> 5.56.0)

- Update to 5.56.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.56.0.php
- Changes since 5.55.0:
* Use PointingHand when hovering links in Label
* Respect the display property of buttons
* clicking on empty areas behaves like pgup/pgdown (kde#402578)
* Support icon on ComboBox
* support text positioning api
* Support icons from local files in buttons
* Use the correct cursor when hovering over the editable part of a spinbox

==== rubygem-puma ====
Version update (3.12.0 -> 3.12.1)

- updated to version 3.12.1
* 1 features
* Internal strings are frozen (#1649)
* 3 bugfixes
* Fix chunked ending check (#1607)
* Rack handler should use provided default host (#1700)
* Better support for detecting runtimes that support `fork` (#1630)

==== squashfs ====

- Use | instead of / that can be part of -L or -I options.
- Use / as sed command delimiter. Comma can actually show up in
optflags (think -Wl,?), which then breaks the sed command line
parsing.

==== suitesparse ====
Subpackages: libamd2 libcamd2 libccolamd2 libcholmod3 libcolamd2
libsuitesparseconfig5 libumfpack5

- Remove openmpi BuildRequires, all SuiteSparse libraries are MPI
agnostic.

==== syndication ====
Version update (5.55.0 -> 5.56.0)

- Update to 5.56.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.56.0.php
- Changes since 5.55.0:
* Use QStringLiteral

==== udisks2 ====
Version update (2.8.1 -> 2.8.2)
Subpackages: libudisks2-0 libudisks2-0_btrfs udisks2-lang

- update to 2.8.2
+ migration from intltool to gettext, udisks no longer depends
on gnome-common
+ added 'windows_names' as a default mount option for ntfs-3g
+ fixed an issue potentially leading to open filedescriptors
exhaustion
- drop buildreq for intltool

==== virtualbox ====
Subpackages: virtualbox-guest-kmp-default virtualbox-guest-tools
virtualbox-guest-x11

- Fix API changes for kernel 5.1.0 - add file "fixes_for_5.1.patch".

==== wayland ====
Version update (1.16.0 -> 1.17.0)
Subpackages: libwayland-client0 libwayland-cursor0 libwayland-egl1
libwayland-server0

- Update to new upstream release 1.17
* There is now a protocol to express an internal server error
message, and a new version of the wl_seat protocol with no
changes other than keymaps must be private.

==== wondershaper ====

- Added systemd support
[bsc#1116052, wondershaper.service]


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups